# PostDefendStealHeldItemAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostDefendStealHeldItemAbAttr

#### Hierarchy (view full)

- PostDefendAbAttr
  - PostDefendStealHeldItemAbAttr

- Defined in src/data/ability.ts:1592

#####
Index

### Constructors

constructor

### Properties

condition
showAbility

### Methods

addCondition
apply
applyPostDefend
getCondition
getTargetHeldItems
getTriggerMessage

## Constructors

### constructor

- new PostDefendStealHeldItemAbAttr(condition?): PostDefendStealHeldItemAbAttr

- #### Parameters

  - `Optional` condition: PokemonDefendCondition

  #### Returns PostDefendStealHeldItemAbAttr

  Overrides PostDefendAbAttr.constructor

  - Defined in src/data/ability.ts:1595

## Properties

### `Private` condition

condition: PokemonDefendCondition

- Defined in src/data/ability.ts:1593

### showAbility

showAbility: boolean

Inherited from PostDefendAbAttr.showAbility

- Defined in src/data/ability.ts:128

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostDefendAbAttr.addCondition

  - Defined in src/data/ability.ts:147

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostDefendAbAttr.apply

  - Defined in src/data/ability.ts:135

### applyPostDefend

- applyPostDefend(pokemon, passive, attacker, move, hitResult, args): Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - attacker: default
  - move: default
  - hitResult: HitResult
  - args: any[]

  #### Returns Promise<boolean>

  Overrides PostDefendAbAttr.applyPostDefend

  - Defined in src/data/ability.ts:1601

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostDefendAbAttr.getCondition

  - Defined in src/data/ability.ts:143

### getTargetHeldItems

- getTargetHeldItems(target): PokemonHeldItemModifier []

- #### Parameters

  - target: default

  #### Returns PokemonHeldItemModifier []

  - Defined in src/data/ability.ts:1620

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostDefendAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:139